Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 12-02-2020 19:55:49

francis21
Membre
Distrib. : Debian 10
Noyau : Linux 4.19.0-6-amd64
(G)UI : Cinnamon
Inscription : 27-10-2019

[RESOLU] Olive video editor, pas de son sous debian 10

Bonjour,
Je suis sous debian 10, qui fonctionne bien jusqu'à maintenant.
Via le gestionnaire Synaptic j'ai installé le paquet Olive video editor, un logiciel de montage vidéo qui promet beaucoup.
Pas de son, rien à faire.
Je n'y comprend rien, je suis du niveau débutant sous linux.

Quelqu'un a essayé ?

sad

Dernière modification par francis21 (14-02-2020 11:22:23)

Hors ligne

#2 12-02-2020 22:00:38

otyugh
CA Debian-Facile
Lieu : Quimperlé/Arzano
Distrib. : Debian Stable
Inscription : 20-09-2016
Site Web

Re : [RESOLU] Olive video editor, pas de son sous debian 10

Tu as regardé avec

pavucontrol
#Si ça marche pas faire
#sudo apt install pavucontrol


S'il y avait un flux de son ?


datalove-datalove-s1-2.png agendadulibre-lagendadulibre.png arzinfo-arzinfo.png

En ligne

#3 13-02-2020 17:11:04

francis21
Membre
Distrib. : Debian 10
Noyau : Linux 4.19.0-6-amd64
(G)UI : Cinnamon
Inscription : 27-10-2019

Re : [RESOLU] Olive video editor, pas de son sous debian 10

otyugh a écrit :

Tu as regardé avec

pavucontrol
#Si ça marche pas faire
#sudo apt install pavucontrol


S'il y avait un flux de son ?



Je viens d'installer pavucontrol, aucun flux de son avec Olive vidéo editor.
Désespérant....

Hors ligne

#4 13-02-2020 17:35:19

otyugh
CA Debian-Facile
Lieu : Quimperlé/Arzano
Distrib. : Debian Stable
Inscription : 20-09-2016
Site Web

Re : [RESOLU] Olive video editor, pas de son sous debian 10

Pour ma gouverne, comment tu l'a installé/d'où ?

datalove-datalove-s1-2.png agendadulibre-lagendadulibre.png arzinfo-arzinfo.png

En ligne

#5 13-02-2020 17:54:50

francis21
Membre
Distrib. : Debian 10
Noyau : Linux 4.19.0-6-amd64
(G)UI : Cinnamon
Inscription : 27-10-2019

Re : [RESOLU] Olive video editor, pas de son sous debian 10

J'ai suivi ce que tu avais indiqué, entre autre dans un terminal :
#sudo apt install pavucontrol

Hors ligne

#6 13-02-2020 18:03:32

otyugh
CA Debian-Facile
Lieu : Quimperlé/Arzano
Distrib. : Debian Stable
Inscription : 20-09-2016
Site Web

Re : [RESOLU] Olive video editor, pas de son sous debian 10

Hugh. Je veux dire, Olive video editor, là , il fait pas partie des dépôts.

Dernière modification par otyugh (13-02-2020 18:03:53)


datalove-datalove-s1-2.png agendadulibre-lagendadulibre.png arzinfo-arzinfo.png

En ligne

#7 13-02-2020 18:09:29

francis21
Membre
Distrib. : Debian 10
Noyau : Linux 4.19.0-6-amd64
(G)UI : Cinnamon
Inscription : 27-10-2019

Re : [RESOLU] Olive video editor, pas de son sous debian 10

Si je le trouve dans les dépôts, via synaptic. J'ai modifié ma source.list en non-free à cause de ma carte wifi.
Peut être est-ce un dépot non-free, je n'en sais rien.
Le commentaire dans synaptic est le suivant :

olive-editor
Professional open-source NLE video editor

"This is a free non-linear video editor. It provides sensible cutting tools,
and basic FX animation. There are solic color and title generators, for cutting
it has tools like Razor, Ripple, Slide, and Slip."

Hors ligne

#8 13-02-2020 19:58:31

otyugh
CA Debian-Facile
Lieu : Quimperlé/Arzano
Distrib. : Debian Stable
Inscription : 20-09-2016
Site Web

Re : [RESOLU] Olive video editor, pas de son sous debian 10

Ok !
J'ai trouvé la solution pour toi en lançant l'application dans un terminal et en voyant l''erreur !

[WARNING] Audio format is not supported by backend, using nearest
[WARNING] using null output device, none available


À partir de là j'ai fait une recherche, et j'ai trouvé un rapport d'erreur en parlant :
https://bugs.debian.org/cgi-bin/bugrepo … bug=932502

Diagnostique : il manque une dépendance, le problème vient de debian.

Solution : il faut installer la dépendance manquante :

apt install libqt5multimedia5-plugins

Dernière modification par otyugh (13-02-2020 19:59:33)


datalove-datalove-s1-2.png agendadulibre-lagendadulibre.png arzinfo-arzinfo.png

En ligne

#9 13-02-2020 22:41:43

francis21
Membre
Distrib. : Debian 10
Noyau : Linux 4.19.0-6-amd64
(G)UI : Cinnamon
Inscription : 27-10-2019

Re : [RESOLU] Olive video editor, pas de son sous debian 10

otyugh a écrit :

Ok !
J'ai trouvé la solution pour toi en lançant l'application dans un terminal et en voyant l''erreur !

[WARNING] Audio format is not supported by backend, using nearest
[WARNING] using null output device, none available


À partir de là j'ai fait une recherche, et j'ai trouvé un rapport d'erreur en parlant :
https://bugs.debian.org/cgi-bin/bugrepo … bug=932502

Diagnostique : il manque une dépendance, le problème vient de debian.

Solution : il faut installer la dépendance manquante :

apt install libqt5multimedia5-plugins




J'étais absent dans la soirée.
Je viens de lire ton post seulement maintenant.
C'est incroyable que tu ais trouvé d'où venait le problème et surtout la solution.
Je ne peux pas essayer ce soir, mais demain matin sans tarder je le ferais.
Merci à toi, je vous tiens au courant.

Hors ligne

#10 13-02-2020 23:09:32

otyugh
CA Debian-Facile
Lieu : Quimperlé/Arzano
Distrib. : Debian Stable
Inscription : 20-09-2016
Site Web

Re : [RESOLU] Olive video editor, pas de son sous debian 10

C'est incroyable que tu ais trouvé d'où venait le problème


Non, c'est presque toujours la même chose :
1) Trouver un message d'erreur (si l'application elle-même n'en fait pas, le lancer dans un terminal en affiche souvent plus)
2) Faire une recherche de l'erreur avec un moteur de recherche (comprendre l'anglais aide beaucoup)

C'est tout. wink


datalove-datalove-s1-2.png agendadulibre-lagendadulibre.png arzinfo-arzinfo.png

En ligne

#11 14-02-2020 11:18:29

francis21
Membre
Distrib. : Debian 10
Noyau : Linux 4.19.0-6-amd64
(G)UI : Cinnamon
Inscription : 27-10-2019

Re : [RESOLU] Olive video editor, pas de son sous debian 10

otyugh a écrit :

Ok !
J'ai trouvé la solution pour toi en lançant l'application dans un terminal et en voyant l''erreur !

[WARNING] Audio format is not supported by backend, using nearest
[WARNING] using null output device, none available


À partir de là j'ai fait une recherche, et j'ai trouvé un rapport d'erreur en parlant :
https://bugs.debian.org/cgi-bin/bugrepo … bug=932502

Diagnostique : il manque une dépendance, le problème vient de debian.

Solution : il faut installer la dépendance manquante :

apt install libqt5multimedia5-plugins



Genial ça a fonctionné, je te remercie infiniment.

Non, c'est presque toujours la même chose :
1) Trouver un message d'erreur (si l'application elle-même n'en fait pas, le lancer dans un terminal en affiche souvent plus)
2) Faire une recherche de l'erreur avec un moteur de recherche (comprendre l'anglais aide beaucoup)


Je retiens la méthode en lançant l'application via le terminal, merci encore.

Hors ligne

Pied de page des forums